**Fabric Software and Services Agreement**

**Last Updated: 10/22/2014**

PLEASE READ THIS AGREEMENT CAREFULLY. BY CLICKING THE UPGRADE OR SIGN UP BUTTON OR BY ACCESSING OR USING THE TWITTER TECHNOLOGY, YOU AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO ALL THE TERMS OF THIS AGREEMENT, YOU MAY NOT ACCESS OR USE THE TWITTER TECHNOLOGY.

This Fabric Software and Services Agreement (**"Agreement"**) is entered into by Twitter, Inc., on behalf of itself and its worldwide affiliates, (**"Twitter"**) and you (**"Developer"** or **"You"**) and governs Your access and use of the Twitter Technology (defined below). If You are accessing or using the Twitter Technology on behalf of a company or other legal entity, You represent and warrant that You are an authorized representative of that entity and have the authority to bind such entity to this Agreement, in which case the terms "Developer" and "You" shall refer to such entity. You and Twitter hereby agree as follows:

1. **Definitions**

  In addition to terms defined elsewhere in this Agreement, the terms set forth immediately below have the following meanings.

  **"Application"** means any mobile application of Developer into which the Fabric Kit or any other Kit may be integrated.

  **"Developer Data"** means (i) the identity of the individual or entity, if any, who invited Developer to use the Twitter Technology; (ii) the names of Developers non-publicly available Applications; and (iii) a unique installation identifier for each installation of each Application within which Developer has integrated any Kit using the Twitter Technology.

  **"Documentation"** means the documentation, instructions, user guides, and other documents made available by Twitter that relate to the Services and Software.

  **"Fabric Kit"** means the underlying, base software development kit for Fabric made available by Twitter via the Plugin, including any updates or modifications thereto, that Developer installs in order to integrate any other Kit within an Application.

  **"Kit"** means any software development kit, other than the Fabric Kit, made available for download via any Plugin.

  **"Plugin"** means any development environment software plugin made available by Twitter via the Services, including any updates or modifications thereto, that Developer must install in the designated development environment in order for Developer to integrate the Fabric Kit or any other Kit within an Application.

  **"Services"** means the Site and any hosted software services made available via the Site, including without limitation any dashboards, reporting tools, or other services, or any Plugin.

  **"Site"** means all websites and webpages hosted at the fabric.io domain.

  **"Software"** means the Fabric Kit and any Plugin.

  **"Term"** means the term of this Agreement, which commences on the date upon which Developer enters into this Agreement and continues until terminated by Developer or Twitter.

  **"Twitter Technology"** means the Services, Software, and Documentation.

  **"Usage Data"** means all information, data and other content, not including any Developer Data, accessed by Twitter via Developers access and use of the Twitter Technology, including without limitation Developers IP address, web request headers, including without limitation browser type, user agent, and referral page, pages visited on the Site, cookie information from Developers usage of the Site, including without limitation Google Analytics data, and other information relating to Developers usage of the Services.

2. **Licenses; Access Rights; Restrictions**

  1. **License Grant.** Subject to Developers compliance with the terms and conditions of this Agreement (as a condition to the grants below), Twitter grants Developer, and Developer accepts, a personal, nonexclusive, non-transferable, non-sublicensable, and revocable license, during the Term, to: (a) reproduce, install and use any Plugin within the designated development environment solely for the purpose of downloading the Fabric Kit and other Kits to such environment; (b) reproduce, install and use the Fabric Kit solely for the purpose of enabling the integration of one or more Kits into an Application; (c) incorporate the Fabric Kit into any Application and distribute (in object form only) the Fabric Kit solely as incorporated within such Application; (d) download and/or print a reasonable number of copies of any reports or results made available via the Services (**"Reports"**) for internal use by Developer only; and (e) make and use a reasonable number of copies of any Documentation solely to facilitate the exercise any of the licenses or rights granted to Developer under this Agreement.

  2. **Access to Services.** During the Term, and subject to the terms and conditions of this Agreement, Twitter will use commercially reasonable efforts to provide Developer with access to the Services. Developer will cooperate with Twitter, as requested, to facilitate the initiation of Developers access and use of the Services. Developer will identify a user name and password that will be used by Developer to access and use Developers account on the Services. Developer will be responsible and liable for the acts or omissions of any person who accesses the Services via such account. Developer will (a) provide accurate, current, and complete information when setting up such account; (b) maintain and promptly update any account information; (c) maintain the security of any password and accept all risks of unauthorized access to its account; and (d) promptly notify Twitter if it discovers or otherwise suspects any security breaches related to such account.

  3. **Restrictions.** Developer shall not directly or indirectly: (a) modify or create any derivative works of any Reports or any component of any Twitter Technology; (b) work around any technical limitations in any Twitter Technology or use any Twitter Technology in an attempt to, or in conjunction with any device, program, or service designed to, circumvent technical measures employed to control access to, or the rights in, a content, file, or other work; (c) reverse engineer, decompile, decipher, translate, disassemble, or otherwise attempt to access source code of any Twitter Technology (except as and only to the extent that the foregoing restriction is prohibited by applicable law); (d) publish, rent, lease, lend, sell, sublicense, distribute (except as permitted in Sections 2.1(c)), transfer, disclose, or otherwise make any Twitter Technology or Reports available to any third party; (e) remove or alter any proprietary notices or labels on or in any Twitter Technology or Reports; (f) use any Twitter Technology in connection with the development or transmission of any virus or malicious code; (g) use any Twitter Technology or Reports to infringe the rights of Twitter or any third party, or in any way that does not comply with all applicable laws; or (h) use any Twitter Technology (including to create any Application) in any way that interferes with, disrupts, damages, or accesses in an unauthorized manner the servers, networks, or other properties or services of Twitter or any third party, including any mobile communications carrier.

3. **Updates**

  Developer acknowledges that Twitter may update or modify any component of the Twitter Technology at any time and in its sole discretion without prior notice to Developer. Developer acknowledges that future versions of the Fabric Kit may be incompatible with Applications developed using previous versions of the Fabric Kit, which may adversely affect the manner in which Developer accesses or communicates with the Twitter Technology. Twitter may provision any updates to any Software automatically or it may prompt Developer to install such updates. If Twitter prompts Developer to install an updated version of any Software (**"Updated Version"**), the license granted under Section 2.1 of this Agreement (**"License"**) with respect to any previous version of such Software will be revoked upon release of such Updated Version and Developer will immediately discontinue all use of, and delete, such previous version; provided, however, that, the License to such previous version of the Fabric Kit shall not be immediately revoked if such previous version of the Fabric Kit has been incorporated within an Application that Developer (a) has publicly distributed via an app store as of the date on which Twitter released the Updated Version (**"Release Date"**), (b) has already submitted to an app store for distribution approval as of the Release Date, or (c) submits to an app store for distribution approval within fourteen (14) days of the Release Date. Notwithstanding the foregoing, Twitter reserves the right, at any time, to revoke the License to any previous version of the Fabric Kit, regardless of the foregoing conditions, in which case Developer shall immediately discontinue all use of, and delete, such previous version of the Fabric Kit.

4. **Kit Terms**

  Additional terms and conditions may apply to Developers access and use of any Kit made available via any Plugin. Developer will comply with any terms applicable to any Kit that Developer installs, accesses, or uses. Certain Kits may be made available by third parties. Twitter provides such third-party Kits as a convenience only and does not endorse any such third-party Kits. Developer acknowledges and agrees that (i) such third-party Kits are not under the control of Twitter and Twitter is not responsible for such third-party Kits, and (ii) Twitter does not warrant and will not have any liability or responsibility for such third-party Kits.

5. **Security**

  Developer is fully responsible for any Application, including for maintaining the security of any Application. Developer will use industry standard security measures to prevent unauthorized access or use of any of the features and functionality of any Application, including access by viruses, worms, or any other harmful code or material. Developer will immediately notify Twitter if Developer knows of or suspects any breach of security or potential vulnerability of any Application that may damage, interfere with, or otherwise impact any Twitter Technology or any information, content, or material accessible via any Twitter Technology. Developer will promptly remedy such breach or potential vulnerability.

6. **Compliance**

  Developer shall comply with (a) all applicable laws, rules, and regulations, (b) all instructions and requirements set forth in any applicable Documentation, and (c) any applicable third-party terms, including any third-party terms applicable to any Kit, any development environment used by Developer, and Developers development and distribution of its Application via any relevant mobile operating system platform. Developer will not, directly or indirectly, export or re-export, or knowingly permit the export or re-export of, any Software or technical information obtained under this Agreement, including without limitation any Documentation (y) without compliance with any laws applicable to the export or re-export of, any Software or technical information obtained under this Agreement, or (z) to any country to which the United States Export Administration Act, any regulation thereunder, or any similar United States law or regulation, prohibits the export or re-export of such software and/or technical information.

7. **Developer Feedback**

  From time to time, Twitter may solicit from Developer or Developer may provide, in its sole discretion, suggestions for changes, modifications, or improvements or any other feedback related to any Twitter Technology or Twitter (collectively, **"Developer Feedback"**). All Developer Feedback shall be solely owned by Twitter (including all intellectual property rights therein and thereto) and shall also be deemed Twitters Confidential Information. Developer hereby assigns all of its right, title, and interest in and to any Developer Feedback to Twitter and acknowledges that Twitter has the unrestricted right to use and exploit such Developer Feedback in any manner, without attribution, and without any obligations or compensation to Developer.

8. **Developer Data**
    
  1. Developer hereby grants Twitter a worldwide, nonexclusive, and royalty-free right and license to access, copy, distribute, process, and use Developer Data solely for the purpose of (a) providing any Twitter Technology to Developer; (b) creating aggregate measures of any Twitter Technology usage, engagement, and performance; and (c) improving any component of the Twitter Technology generally or any other service of Twitter, including, without limitation, by reusing all general knowledge, experience, know-how, works and technologies (including ideas, concepts, processes, and techniques) acquired during provision of any Twitter Technology.

  2. Developer acknowledges and agrees that Twitter will not assume any responsibility or liability for, or undertake to verify, the legality, accuracy or completeness of any Developer Data. Twitter shall have no obligation to store, delete, or return any Developer Data. Developer represents and warrants that it owns all right, title, and interest, or possesses sufficient license rights, in and to the Developer Data as may be necessary to grant the rights and licenses under this section. Developer bears all responsibility and liability for the legality, accuracy, and completeness of the Developer Data and Twitters access, possession, distribution, and use thereof, as permitted herein.

  3. Twitter shall not disclose Developer Data to any third party; provided, however, that Twitter shall have the right to disclose any such information (i) if Twitter believes that such disclosure is reasonably necessary to comply with any applicable law, regulation, legal process, or governmental request, (ii) to any third-party service provider that performs services on behalf of Twitter subject to confidentiality obligations consistent with this Agreement, or (iii) if it is or becomes available to the public without breach of this Agreement by Twitter.

9. **Developer Systems**

  Developer is solely responsible for providing all modems, servers, devices, storage, software, databases, network, and communications equipment, and ancillary services needed to connect to, access, or otherwise use the Twitter Technology (collectively, **"Developer Systems"**). Developer shall ensure that Developer Systems are compatible with any Twitter Technology and comply with all configurations and specifications described in the applicable Documentation.

10. **Suspension; Discontinuance**

  Twitter reserves the right to discontinue or suspend (permanently or temporarily) the Twitter Technology or any features or portions thereof without prior notice. Twitter will not be liable for any suspension or discontinuance of any Twitter Technology or any part thereof.

11. **Confidentiality**

  **(a) "Confidential Information"** means any information disclosed by Twitter to Developer that is marked or otherwise identified as "confidential" or "proprietary," or by its nature or the circumstances of disclosure should reasonably be understood to be confidential. In particular, Confidential Information shall include the Twitter Technology, Reports, and all related information. Developer may use the Confidential Information only as necessary in fulfilling its obligations or exercising its rights under this Agreement. Developer may not disclose any Confidential Information to any third party without Twitters prior written consent. Developer will protect Confidential Information from unauthorized use, access, and disclosure in the same manner that it protects its own confidential and proprietary information of a similar nature, but in no event with less than a reasonable degree of care. Promptly upon Twitters request at any time, Developer shall return all tangible Confidential Information, and/or permanently erase all Confidential Information from any storage media and destroy all information, records, copies, summaries, analyses, and materials developed therefrom.

  **(b) Limitations.** The foregoing obligations shall not apply to any information that Developer can demonstrate is (i) already known by it without restriction, (ii) rightfully furnished to it without restriction by a third party not in breach of any obligation of this Agreement or any other applicable confidentiality obligation or agreement, (iii) generally available to the public without breach of this Agreement or wrongdoing by any party, or (iv) independently developed by it without reference to or use of any information deemed confidential under this section and without any violation of any obligation of this Agreement. Developer shall be responsible for any breach of confidentiality by its employees, contractors, and agents, as applicable. Nothing herein shall prevent Developer from disclosing any Confidential Information as necessary pursuant to any court order or any legal, regulatory, law enforcement, or similar requirement or investigation; provided, however, prior to any such disclosure, Developer shall use reasonable efforts to promptly notify Twitter in writing of such requirement to disclose, and cooperate in protecting against or minimizing any such disclosure and/or obtaining a protective order.

12. **Ownership; Reservation of Rights**

  Twitter retains all right, title, and interest in and to any Usage Data. Twitter and its suppliers own all right, title, interest, copyright, and other intellectual property rights in any Twitter Technology (and any derivative works and enhancements thereof developed by or on behalf of Twitter) and reserve all rights not expressly granted to Developer in this Agreement. The Twitter Technology (and any derivative works and enhancements thereof developed by or on behalf of Twitter) are protected by copyright and other intellectual property laws and treaties. THE TWITTER TECHNOLOGY IS LICENSED AS SET FORTH IN SECTION 2, NOT SOLD.

13. **Developer Representations and Warranties**

  Developer represents and warrants to Twitter that: (a) the Applications do not and will not infringe any intellectual property or other proprietary right of any third party or violate any right of or duty owed to any third party (including contract rights, privacy rights, and publicity rights); and (b) the Applications and Developers performance under this Agreement (including use of the Twitter Technology) do not and will not violate any applicable law, rule, or regulation.

14. **Twitter Disclaimers**

  THE TWITTER TECHNOLOGY AND REPORTS ARE PROVIDED "AS IS", "AS AVAILABLE", WITH ALL FAULTS AND WITHOUT WARRANTY OF ANY KIND. WITHOUT LIMITING THE FOREGOING, TWITTER AND ITS PARENTS, SUBSIDIARIES, AFFILIATES, RELATED COMPANIES, OFFICERS, DIRECTORS, EMPLOYEES, AGENTS, REPRESENTATIVES, PARTNERS, AND LICENSORS (COLLECTIVELY, THE **"TWITTER ENTITIES"**) MAKE NO REPRESENTATION OR WARRANTY (I) THAT THE TWITTER TECHNOLOGY AND REPORTS OR RESULTS THEREFROM WILL MEET DEVELOPERS REQUIREMENTS OR BE UNINTERRUPTED, ERROR-FREE, OR BUG-FREE, (II) REGARDING THE RELIABILITY, TIMELINESS, OR PERFORMANCE OF THE TWITTER TECHNOLOGY OR REPORTS, OR (III) THAT ANY ERRORS IN THE TWITTER TECHNOLOGY OR REPORTS CAN OR WILL BE CORRECTED. THE TWITTER ENTITIES HEREBY DISCLAIM ALL WARRANTIES, WHETHER EXPRESS OR IMPLIED, ORAL OR WRITTEN, INCLUDING WITHOUT LIMITATION, ALL IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, TITLE, OR FITNESS FOR ANY PARTICULAR PURPOSE AND ALL WARRANTIES ARISING FROM ANY COURSE OF DEALING, COURSE OF PERFORMANCE, OR USAGE OF TRADE.

15. **Indemnification**

  Developer will indemnify, defend, and hold harmless the Twitter Entities from all claims, actions, suits, or proceedings, as well as any and all losses, liabilities, damages, costs, and expenses (including reasonable attorneys fees), whether actual or alleged (collectively, **"Claims"**), that arise out of or in connection with Developers (a) use of the Twitter Technology or Reports; (b) actual or alleged infringement, misappropriation, or violation of the rights of any third party, including without limitation any intellectual property rights, privacy rights, or publicity rights; and (c) breach of any term of this Agreement, including without limitation Developers representations and warranties set forth in Section 13 above. Developer is solely responsible for defending any Claim against the Twitter Entities, subject to such Twitter Entities right to participate with counsel of its own choosing, and for payment of all judgments, settlements, damages, losses, liabilities, costs, and expenses, including reasonable attorneys fees, resulting from all Claims against the Twitter Entities, provided that Developer will not agree to any settlement related to any Claims without the Twitter Entities prior express written consent regardless of whether or not such settlement releases the Twitter Entities from any obligation or liability. Limitation of Liability

  **(a)** IN NO EVENT WILL THE TWITTER ENTITIES BE LIABLE FOR ANY INDIRECT, SPECIAL, INCIDENTAL, EXEMPLARY, PUNITIVE, OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, INCLUDING WITHOUT LIMITATION DAMAGES ASSOCIATED WITH ANY LOSS OF USE, BUSINESS, PROFITS, OR GOODWILL OR FOR INTERRUPTION OR LOSS OR CORRUPTION OF DATA OR NETWORKS.

  **(b)** IN NO EVENT WILL THE TWITTER ENTITIES AGGREGATE LIABILITY FOR ANY AND ALL CLAIMS UNDER THIS AGREEMENT EXCEED FIFTY($50.00) DOLLARS (USD).

  **(c)** THE FOREGOING LIMITATIONS ARE INDEPENDENT FROM ALL OTHER PROVISIONS OF THIS AGREEMENT AND SHALL APPLY NOTWITHSTANDING THE FAILURE OF ANY REMEDY PROVIDED HEREIN. THE FOREGOING LIMITATIONS, EXCLUSIONS AND DISCLAIMERS SHALL APPLY TO ANY AND ALL CLAIMS, REGARDLESS OF WHETHER SUCH LIABILITY ARISES FROM ANY CLAIM BASED UPON CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY, OR OTHERWISE, AND WHETHER OR NOT THE PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH LOSS OR DAMAGE.

  Some states do not allow the exclusion or limitation of incidental or consequential damages, so the above limitation or exclusion may not apply to You. INSOFAR AS APPLICABLE LAW PROHIBITS ANY LIMITATION ON LIABILITY HEREIN, THE PARTIES AGREE THAT SUCH LIMITATION WILL BE AUTOMATICALLY MODIFIED, BUT ONLY TO THE EXTENT SO AS TO MAKE THE LIMITATION COMPLIANT WITH APPLICABLE LAW.

16. **Termination**

  Either party may terminate this Agreement with or without cause immediately upon providing notice to the other party. Upon any termination of this Agreement, (a) Developer must discontinue accessing and using the Twitter Technology and delete all Software and Documentation; (b) the provisions in Sections 4 (Kit Terms), 7 (Developer Feedback), 8 (Developer Data), 11 (Confidentiality), 12 (Ownership; Reservation of Rights), 14 (Twitter Disclaimers), 15 (Indemnification), 16 (Limitation of Liability), this Section 17 (Termination) and Section 18(e) (Governing Law; Venue; Prevailing Fees) shall survive; (c) all obligations or liabilities that accrued prior to the effective date of termination and all remedies for breach of this Agreement shall survive; and (d) all other rights, obligations, and licenses of the parties under this Agreement shall terminate.

17. **Miscellaneous**

  (a) **Entire Agreement.** This Agreement constitutes the entire agreement, and supersedes all prior negotiations, understandings, or agreements (oral or written), between the parties about the subject matter of this Agreement.

  (b) **Amendments.** Twitter may amend this Agreement from time to time. If Twitter makes a change to this Agreement that, in its sole discretion, is material, Twitter will notify Developer by providing notice of the change through the Services, the Plugin, or at the email address that Developer provided to Twitter upon signing up to access the Services. If Developer does not agree to the modified terms of the Agreement, Developer shall notify Twitter in writing within thirty (30) days, after which this Agreement shall immediately terminate and the Twitter Entities shall have no further responsibility or liability to Developer. 

  (c) **Waivers.** The failure of either party to enforce its rights under this Agreement at any time for any period will not be construed as a waiver of such rights.

  (d) **Severability.** If any provision of this Agreement is determined to be illegal or unenforceable, that provision will be limited or eliminated to the minimum extent necessary so that this Agreement will otherwise remain in full force and effect and enforceable.

  (e) **Governing Law; Venue; Prevailing Fees.** This Agreement shall be governed by and construed in accordance with the laws of the State of California, without regard to its conflicts of law provisions. Neither the United Nations Convention on Contracts for the International Sale of Goods nor any implementation of the Uniform Computer Information Transactions Act in any jurisdiction shall apply to this Agreement. Exclusive jurisdiction and venue for actions related to this Agreement will be the state and federal courts located in San Francisco County, California, United States, and both parties consent to the jurisdiction of such courts with respect to any such actions; provided, however, that the Twitter Entities may seek equitable or similar relief from any court of competent jurisdiction to prevent or restrain any breach or threatened breach of this Agreement by Developer. In any action or proceeding to enforce or interpret this Agreement, the prevailing party will be entitled to recover from the other party its costs and expenses (including reasonable attorneys fees) incurred in connection with such action or proceeding and enforcing any judgment or order obtained.

  (f) **Force Majeure.** In the event that either party is prevented from performing, or is unable to perform, any of its obligations under this Agreement (except payment obligations) due to any cause beyond its reasonable control, the affected party shall give written notice thereof to the other party and its performance shall be extended for the period of delay or inability to perform due to such occurrence.

  (g) **Notices.** Any notice or communication hereunder shall be in writing and either personally delivered or sent via confirmed facsimile, confirmed electronic transmission, recognized express delivery courier, or certified or registered mail, prepaid and return receipt requested, addressed to the other party, which, in the case of Developer, shall be the email address that Developer provided to Twitter upon signing up for the Services, and, in the case of Twitter, shall be Twitter, Inc. 1355 Market Street, Suite 900, San Francisco, CA 94103, Attn: Legal Department, or at such other address for either party as is designated in a subsequent notice. All notices shall be in English, and deemed to have been received when they are hand delivered, or five business days of their mailing, or upon confirmed electronic transmission or confirmed facsimile transmission.

  (h) **Assignment.** This Agreement and the rights and obligations hereunder may not be assigned, transferred, or delegated, in whole or in part, by Developer without Twitters prior written consent; provided, however, that, upon notice to Twitter, Developer shall have the right to assign this Agreement and its rights and obligations hereunder in the event of its merger, change in control, or similar transaction. Any assignment or transfer in violation of the foregoing shall automatically be null and void. This Agreement shall be binding upon, and inure to the benefit of, the successors, representatives, and permitted assigns of the parties hereto.

  (i) **Independent Contractors.** The parties shall be independent contractors under this Agreement, and nothing herein will constitute either party as the employer, employee, agent, or representative of the other party, or both parties as joint venturers or partners for any purpose. Neither party will have the right or authority to assume or create any obligation or responsibility on behalf of the other party.

  (j) **No Publicity.** Developer will not issue any press release or otherwise make any public announcement with respect to this Agreement, any Twitter Technology, or Developers relationship with Twitter without Twitters prior written consent.
